# Uses of Class
es.imim.DISGENET.gui.GuiParameters

Packages that use GuiParameters
Package
Description
es.imim.DISGENET.database
es.imim.DISGENET.gui
es.imim.DISGENET.internal.automation
es.imim.DISGENET.internal.tables
es.imim.DISGENET.network

## Uses of GuiParameters in es.imim.DISGENET.database

Methods in es.imim.DISGENET.database with parameters of type GuiParameters
Modifier and Type
Method
Description
`HashMap<String,HashMap<String,String>>`
Database.`getDiseaseAttributes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
DatabaseImpl.`getDiseaseAttributes(GuiParameters curParams)`
`ArrayList<String>`
Database.`getDiseaseList(GuiParameters curParams)`
`ArrayList<String>`
DatabaseImpl.`getDiseaseList(GuiParameters curParams)`
Case in gene-dis panel
`ArrayList<String>`
Database.`getDiseaseListVariant(GuiParameters params)`
`ArrayList<String>`
DatabaseImpl.`getDiseaseListVariant(GuiParameters curParams)`
Case in var-dis panel
`HashMap<String,ArrayList<String>>`
Database.`getDiseaseProjectionBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
DatabaseImpl.`getDiseaseProjectionBySrc(GuiParameters curParams)`
`ArrayList<String>`
Database.`getDiseasesAssociatedToGenes(GuiParameters curParams)`
`ArrayList<String>`
DatabaseImpl.`getDiseasesAssociatedToGenes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
Database.`getGeneAttributes(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
DatabaseImpl.`getGeneAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
Database.`getGeneDiseaseNetworkBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
DatabaseImpl.`getGeneDiseaseNetworkBySrc(GuiParameters curParams)`
`ArrayList<String>`
Database.`getGeneIdList(GuiParameters params)`
`ArrayList<String>`
DatabaseImpl.`getGeneIdList(GuiParameters curParams)`
Case in gen-dis panel
`ArrayList<String>`
Database.`getGeneList(GuiParameters curParams)`
`ArrayList<String>`
DatabaseImpl.`getGeneList(GuiParameters curParams)`
Case in gene-dis panel
`ArrayList<String>`
Database.`getGeneListVariant(GuiParameters params)`
`ArrayList<String>`
DatabaseImpl.`getGeneListVariant(GuiParameters curParams)`
Case in var-dis panel
`HashMap<String,ArrayList<String>>`
Database.`getGeneProjectionBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
DatabaseImpl.`getGeneProjectionBySrc(GuiParameters curParams)`
`HashMap<String,HashMap<String,String>>`
DatabaseImpl.`getVariantAttributes(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
Database.`getVariantDiseaseNetworkBySrc(GuiParameters curParams)`
`HashMap<String,ArrayList<String>>`
DatabaseImpl.`getVariantDiseaseNetworkBySrc(GuiParameters curParams)`
`ArrayList<String>`
Database.`getVariantList(GuiParameters curParams)`
`ArrayList<String>`
DatabaseImpl.`getVariantList(GuiParameters curParams)`
Case in var-dis panel

## Uses of GuiParameters in es.imim.DISGENET.gui

Methods in es.imim.DISGENET.gui that return GuiParameters
Modifier and Type
Method
Description
`GuiParameters<Object,Object>`
MainPanel.`getParams()`
Methods in es.imim.DISGENET.gui with parameters of type GuiParameters
Modifier and Type
Method
Description
`void`
MainPanel.`setParams(GuiParameters<Object,Object> params)`

## Uses of GuiParameters in es.imim.DISGENET.internal.automation

Constructors in es.imim.DISGENET.internal.automation with parameters of type GuiParameters
Modifier
Constructor
Description
``
`NetTaskAutomation(GuiParameters curParams)`

## Uses of GuiParameters in es.imim.DISGENET.internal.tables

Methods in es.imim.DISGENET.internal.tables that return GuiParameters
Modifier and Type
Method
Description
`GuiParameters`
DisGeNetCyTableDisease.`getParams()`
`GuiParameters`
DisGeNetCyTableGene.`getParams()`
`GuiParameters`
DisGeNetCyTableVariant.`getParams()`
Methods in es.imim.DISGENET.internal.tables with parameters of type GuiParameters
Modifier and Type
Method
Description
`void`
DisGeNetCyTableDisease.`setParams(GuiParameters params)`
`void`
DisGeNetCyTableGene.`setParams(GuiParameters params)`
`void`
DisGeNetCyTableVariant.`setParams(GuiParameters params)`
Constructors in es.imim.DISGENET.internal.tables with parameters of type GuiParameters
Modifier
Constructor
Description
``
`DisGeNetCyTableBase(GuiParameters params)`
``
`DisGeNetCyTableDisease(GuiParameters params)`
``
`DisGeNetCyTableGene(GuiParameters params)`
``
`DisGeNetCyTableVariant(GuiParameters params)`

## Uses of GuiParameters in es.imim.DISGENET.network

Methods in es.imim.DISGENET.network that return GuiParameters
Modifier and Type
Method
Description
`GuiParameters`
NetTask.`getCurParams()`
Methods in es.imim.DISGENET.network with parameters of type GuiParameters
Modifier and Type
Method
Description
`void`
NetworkBuilder.`buildDiseaseNet(GuiParameters curParams)`
Generic function to create disease network
`void`
NetworkBuilder.`buildGeneDiseaseNet(GuiParameters curParams)`
Get the gene/disease net information from the database and call generic function to build net
`void`
NetworkBuilder.`buildGeneNet(GuiParameters curParams)`
Generic function to create gene network
`void`
NetworkBuilder.`buildNet(List<String> list1, List<String> list2, List<String> nrCommonEntities, String src, GuiParameters params)`
Builds a new disease-disease or gene-gene network.
`void`
NetworkBuilder.`buildNetWithEdgeAttributes(ArrayList<String> intList, ArrayList<String> disList, ArrayList<String> genList, ArrayList<String> normalizedScoreList, ArrayList<String> scoreList, ArrayList<String> eiList, ArrayList<String> yearList, ArrayList<String> yearFinalList, GuiParameters params)`
`void`
NetworkBuilder.`buildVariantDiseaseNet(GuiParameters curParams)`
Get the variant/disease net information from the database and call generic function to build net
`Map<String,Long>`
NetworkBuilder.`expandGeneDiseaseNet(GuiParameters curParams, Map<String,Long> nodeMap)`
Expands the selected gene disease network using the selected nodes as reference.
`Map<String,Long>`
NetworkBuilder.`expandVariantDiseaseNet(GuiParameters curParams, Map<String,Long> nodeMap)`
Expands the selected variant disease network using the selected nodes as reference.
`void`
NetworkBuilder.`initAdditionalStyleAttributes(GuiParameters<?,?> params)`
Fills the attribute columns for the different type of networks.
`void`
NetTask.`setCurParams(GuiParameters curParams)`
Constructors in es.imim.DISGENET.network with parameters of type GuiParameters
Modifier
Constructor
Description
``
`NetAction(GuiParameters curParams)`
``
`NetAction(GuiParameters curParams, JTabbedPane pane)`
``
`NetTask(GuiParameters curParams)`
``
`NetworkBuilder(GuiParameters params)`